# os with ssh
# images
FROM ubuntu:20.04 

ENV DEBIAN_FRONTEND=noninteractive
# package procedure(update&upgrade&install)
RUN apt-get update && \
    apt-get upgrade -y && \
    apt-get install -y vim net-tools zip unzip apt-utils iputils-ping wget tar curl language-pack-ko openssh-server openjdk-17-jdk maven
    
# Set up configuration for SSH
RUN mkdir /var/run/sshd
RUN echo 'root:!@#gds$%^' | chpasswd
RUN sed -ri 's/^#?PermitRootLogin\s+.*/PermitRootLogin yes/' /etc/ssh/sshd_config
RUN echo "    StrictHostKeyChecking no" >> /etc/ssh/ssh_config

# SSH login fix. Otherwise, user is kicked off after login
RUN sed 's@session\s*required\s*pam_loginuid.so@session optional pam_loginuid.so@g' -i /etc/pam.d/sshd

ENV NOTVISIBLE "in users profile"
RUN echo "export VISIBLE=now" >> /etc/profile

# env
RUN echo "export JAVA_HOME=/usr/lib/jvm/java-17-openjdk-amd64" >> /etc/profile && \
    echo "export PATH=$PATH:$JAVA_HOME/bin" >> /etc/profile && \
    echo "export LANG=ko_KR.UTF-8" >> /etc/profile && \
    echo "export VENV_HOME=/home/gds/printer/venv/" >> /etc/profile && \
    echo "export PATH=$PATH:$VENV_HOME/bin" >> /etc/profile

#run script folder and copy script
RUN mkdir /service_script
COPY start_service.sh /service_script
COPY setting.sql /service_script
RUN chmod +x /service_script/start_service.sh

#package clean unused
RUN apt-get clean && \
    rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*

# Expose port(SSH,EMBED WAS1,2)
EXPOSE 22 8080 8090

# Run SSH,NGINX,DB,FLASK,EMBED WAS
CMD ["/service_script/start_service.sh"]
